View Issue Details

IDProjectCategoryView StatusLast Update
0000238Adventure PHP FrameworkBugpublic2015-10-12 12:19
ReporterSammy8806Assigned ToChristianAchatz 
PrioritynormalSeveritymajorReproducibilityalways
Status closedResolutionfixed 
Product Version3.0 
Target Version3.0Fixed in Version3.0 
Summary0000238: XmlParser parst Kommentare
DescriptionDer neue XmlParser scheint Kommentare im Code mit zu parsen, wenn diese nicht geschlossen werden ... wie auch?
Steps To Reproduce<!-- app:footer -->

[XmlParser::getTagAttributes()] No closing tag found for tag "<!-- app:footer />"! Tag string: "<!-- app:footer -->

".
TagsNo tags attached.
Codereferenz: ([Datei]:[Zeile])
Namespacecore

Activities

ChristianAchatz

2014-10-06 13:07

administrator   ~0000509

Hallo Sammy,

danke für's Testen der neuen Version! Dies hilft ungemein die Stabilität schon während der Entwicklung sicher zu stellen.

Der neue Parser in 3.0 sucht jeden öffnenden Tag, der mit "<" beginnt und interpretiert die Zeichenkette bis zum ":" als Präfix des Tags, sowie die Zeichen bis zum nächsten Leerzeichen als Tag-Name. Dein Kommentar hat genau diese Struktur und wird daher erfasst.

Lösung kann entweder sein, den ":" aus dem Kommentar zu entfernen oder den Parser so zu ändern, dass er HTML-Kommentare allgemein nicht erfasst. Letzteres ist aus dem Betriebssicherheitsaspekt sicher die bessere Idee.

Ich schaue mir das mal genauer an und melde mich mit einer Lösung wieder.

Sofern du weitere Effekte dieser Art hast, lass es mich wissen, ich wollte gerne noch ein paar Unit-Tests für den Parser schreiben, da ich schon bei der Entwicklung auf eine nette Punkte gestossen bin. :)

ChristianAchatz

2014-10-10 22:41

administrator   ~0000516

Fix unter https://github.com/AdventurePHP/code/commit/487497a27ab882d71cc9643b174e55592d5aad53 eingecheckt. Der Parser erkennt nun HTML-Kommentare und überspringt diese.

Issue History

Date Modified Username Field Change
2014-10-05 21:11 Sammy8806 New Issue
2014-10-05 21:11 Sammy8806 Status new => assigned
2014-10-05 21:11 Sammy8806 Assigned To => ChristianAchatz
2014-10-06 13:07 ChristianAchatz Note Added: 0000509
2014-10-10 22:41 ChristianAchatz Note Added: 0000516
2014-10-10 22:41 ChristianAchatz Status assigned => resolved
2014-10-10 22:41 ChristianAchatz Fixed in Version => 3.0
2014-10-10 22:41 ChristianAchatz Resolution open => fixed
2015-01-25 10:28 ChristianAchatz Target Version => 3.0
2015-10-12 12:19 ChristianAchatz Status resolved => closed